﻿@model AHCBL.Dto.Admin.FAQDto
@{
    ViewBag.Title = "FAQ";
}

@using (Html.BeginForm("Create", "FAQ", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()
    <!-- Start XP Contentbar -->
    <div class="xp-contentbar" style="margin-top:60px;">
        <div class="row">
            <!-- Start XP Col -->
            <div class="col-md-12 col-lg-12 col-xl-12">
                <div class="card m-b-30">
                    <div class="card-header bg-white">
                        <h5 class="card-title text-black">FAQ 입력 관리</h5>
                    </div>
                    <div class="card-body">
                        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                        <div class="xp-form-validate" action="#" method="post" novalidate="novalidate">
                            <div class="form-group row">
                                <label class="col-lg-3 col-form-label" for="val-username">출력순서 </label>
                                <div class="col-lg-6">
                                    @Html.EditorFor(model => model.faq_order, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.faq_order, "", new { @class = "text-danger" })
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-lg-3 col-form-label" for="val-email">제목 </label>
                                <div class="col-lg-6">
                                    @Html.EditorFor(model => model.name, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.name, "", new { @class = "text-danger" })
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-lg-3 col-form-label" for="val-password">상단이미지 </label>
                                <div class="col-lg-6">
                                    @Html.EditorFor(model => model.img_head, new { htmlAttributes = new { @class = "form-control", @type = "file", name = "img_head" } })
                                    @Html.ValidationMessageFor(model => model.img_head, "", new { @class = "text-danger" })
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-lg-3 col-form-label" for="val-confirm-password">하단이미지 </label>
                                <div class="col-lg-6">
                                    @Html.EditorFor(model => model.img_tail, new { htmlAttributes = new { @class = "form-control", @type = "file", name = "img_tail" } })
                                    @Html.ValidationMessageFor(model => model.img_tail, "", new { @class = "text-danger" })
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-lg-3 col-form-label" for="val-suggestions">상단 내용 </label>
                                <div class="col-lg-6">
                                    @Html.TextAreaFor(model => model.detail_hot, new { @class = "ckeditor" })
                                    @Html.ValidationMessageFor(model => model.detail_hot, "", new { @class = "text-danger" })
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-lg-3 col-form-label" for="val-suggestions">상단 내용 </label>
                                <div class="col-lg-6">
                                    @Html.TextAreaFor(model => model.detail_tail, new { @class = "ckeditor" })
                                    @Html.ValidationMessageFor(model => model.detail_tail, "", new { @class = "text-danger" })
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-lg-3 col-form-label" for="val-suggestions">상단 내용 </label>
                                <div class="col-lg-6">
                                    @Html.TextAreaFor(model => model.detail_hot_mobile, new { @class = "ckeditor" })
                                    @Html.ValidationMessageFor(model => model.detail_hot_mobile, "", new { @class = "text-danger" })
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-lg-3 col-form-label" for="val-suggestions">상단 내용 </label>
                                <div class="col-lg-6">
                                    @Html.TextAreaFor(model => model.detail_tail_mobile, new { @class = "ckeditor" })
                                    @Html.ValidationMessageFor(model => model.detail_tail_mobile, "", new { @class = "text-danger" })
                                </div>
                            </div>                           
                            <div class="form-group text-center">
                                 <input type="button" class="btn btn-light" value="Back" onclick="location.href='@Url.Action("")'" />
                                <input type="submit" value="Create" class="btn btn-default" />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- End XP Col -->
        </div>
    </div>
    <!-- End XP Contentbar -->
    <!-- Start XP Footerbar -->
}
<div>
    @Html.ActionLink("Back to List", "Index")
</div>

